## org.eclipse.emf.cdo.defs
Interface CDODefsPackage.Literals

Enclosing interface:
  CDODefsPackage

    public static interface CDODefsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `CDO_AUDIT_DEF` The meta object literal for the '`CDO Audit Def`' class.
`static org.eclipse.emf.ecore.EAttribute` `CDO_AUDIT_DEF__TIME_STAMP` The meta object literal for the 'Time Stamp' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CDO_CLIENT_PROTOCOL_FACTORY_DEF` The meta object literal for the '`CDO Client Protocol Factory Def`' class.
`static org.eclipse.emf.ecore.EClass` `CDO_EAGER_PACKAGE_REGISTRY_DEF` The meta object literal for the '`CDO Eager Package Registry Def`' class.
`static org.eclipse.emf.ecore.EClass` `CDO_LAZY_PACKAGE_REGISTRY_DEF` The meta object literal for the '`CDO Lazy Package Registry Def`' class.
`static org.eclipse.emf.ecore.EClass` `CDO_PACKAGE_REGISTRY_DEF` The meta object literal for the '`CDO Package Registry Def`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_PACKAGE_REGISTRY_DEF__PACKAGES` The meta object literal for the 'Packages' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `CDO_RESOURCE_DEF` The meta object literal for the '`CDO Resource Def`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_RESOURCE_DEF__CDO_TRANSACTION` The meta object literal for the 'Cdo Transaction' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE_DEF__PATH` The meta object literal for the 'Path' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_RESOURCE_DEF__RESOURCE_MODE` The meta object literal for the 'Resource Mode' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CDO_SESSION_DEF` The meta object literal for the '`CDO Session Def` ' class.
`static org.eclipse.emf.ecore.EReference` `CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF` The meta object literal for the 'Cdo Package Registry Def' reference feature.
`static org.eclipse.emf.ecore.EReference` `CDO_SESSION_DEF__CONNECTOR_DEF` The meta object literal for the 'Connector Def' reference feature.
`static org.eclipse.emf.ecore.EReference` `CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF` The meta object literal for the 'Fail Over Strategy Def' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED` The meta object literal for the 'Legacy Support Enabled' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `CDO_SESSION_DEF__REPOSITORY_NAME` The meta object literal for the 'Repository Name' attribute feature.
`static org.eclipse.emf.ecore.EClass` `CDO_TRANSACTION_DEF` The meta object literal for the '`CDO Transaction Def`' class.
`static org.eclipse.emf.ecore.EClass` `CDO_VIEW_DEF` The meta object literal for the '`CDO View Def`' class.
`static org.eclipse.emf.ecore.EReference` `CDO_VIEW_DEF__CDO_SESSION_DEF` The meta object literal for the 'Cdo Session Def' reference feature.
`static org.eclipse.emf.ecore.EClass` `EDYNAMIC_PACKAGE_DEF` The meta object literal for the '`EDynamic Package Def`' class.
`static org.eclipse.emf.ecore.EAttribute` `EDYNAMIC_PACKAGE_DEF__RESOURCE_URI` The meta object literal for the 'Resource URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` `EGLOBAL_PACKAGE_DEF` The meta object literal for the '`EGlobal Package Def`' class.
`static org.eclipse.emf.ecore.EClass` `EPACKAGE_DEF` The meta object literal for the '`EPackage Def`' class.
`static org.eclipse.emf.ecore.EAttribute` `EPACKAGE_DEF__NS_URI` The meta object literal for the 'Ns URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` `FAIL_OVER_STRATEGY_DEF` The meta object literal for the '`Fail Over Strategy Def`' class.
`static org.eclipse.emf.ecore.EReference` `FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF` The meta object literal for the 'Connector Def' reference feature.
`static org.eclipse.emf.ecore.EEnum` `RESOURCE_MODE` The meta object literal for the '`Resource Mode`' enum.
`static org.eclipse.emf.ecore.EClass` `RETRY_FAIL_OVER_STRATEGY_DEF` The meta object literal for the '`Retry Fail Over Strategy Def`' class.
`static org.eclipse.emf.ecore.EAttribute` `RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES` The meta object literal for the 'Retries' attribute feature.

Field Detail

### CDO_VIEW_DEF

    static final org.eclipse.emf.ecore.EClass CDO_VIEW_DEF

  The meta object literal for the '`CDO View Def`' class.

  See Also:
    `CDOViewDefImpl`, `CDODefsPackageImpl.getCDOViewDef()`

### CDO_VIEW_DEF__CDO_SESSION_DEF

    static final org.eclipse.emf.ecore.EReference CDO_VIEW_DEF__CDO_SESSION_DEF

  The meta object literal for the 'Cdo Session Def' reference feature.

### CDO_TRANSACTION_DEF

    static final org.eclipse.emf.ecore.EClass CDO_TRANSACTION_DEF

  The meta object literal for the '`CDO Transaction Def`' class.

  See Also:
    `CDOTransactionDefImpl`, `CDODefsPackageImpl.getCDOTransactionDef()`

### CDO_AUDIT_DEF

    static final org.eclipse.emf.ecore.EClass CDO_AUDIT_DEF

  The meta object literal for the '`CDO Audit Def`' class.

  See Also:
    `CDOAuditDefImpl`, `CDODefsPackageImpl.getCDOAuditDef()`

### CDO_AUDIT_DEF__TIME_STAMP

    static final org.eclipse.emf.ecore.EAttribute CDO_AUDIT_DEF__TIME_STAMP

  The meta object literal for the 'Time Stamp' attribute feature.

### CDO_SESSION_DEF

    static final org.eclipse.emf.ecore.EClass CDO_SESSION_DEF

  The meta object literal for the '`CDO Session Def` ' class.

  See Also:
    `CDOSessionDefImpl`, `CDODefsPackageImpl.getCDOSessionDef()`

### CDO_SESSION_DEF__CONNECTOR_DEF

    static final org.eclipse.emf.ecore.EReference CDO_SESSION_DEF__CONNECTOR_DEF

  The meta object literal for the 'Connector Def' reference feature.

### CDO_SESSION_DEF__REPOSITORY_NAME

    static final org.eclipse.emf.ecore.EAttribute CDO_SESSION_DEF__REPOSITORY_NAME

  The meta object literal for the 'Repository Name' attribute feature.

### CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF

    static final org.eclipse.emf.ecore.EReference CDO_SESSION_DEF__CDO_PACKAGE_REGISTRY_DEF

  The meta object literal for the 'Cdo Package Registry Def' reference feature.

### CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED

    static final org.eclipse.emf.ecore.EAttribute CDO_SESSION_DEF__LEGACY_SUPPORT_ENABLED

  The meta object literal for the 'Legacy Support Enabled' attribute feature.

### CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF

    static final org.eclipse.emf.ecore.EReference CDO_SESSION_DEF__FAIL_OVER_STRATEGY_DEF

  The meta object literal for the 'Fail Over Strategy Def' reference feature.

### FAIL_OVER_STRATEGY_DEF

    static final org.eclipse.emf.ecore.EClass FAIL_OVER_STRATEGY_DEF

  The meta object literal for the '`Fail Over Strategy Def`' class.

  See Also:
    `FailOverStrategyDefImpl`, `CDODefsPackageImpl.getFailOverStrategyDef()`

### FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

    static final org.eclipse.emf.ecore.EReference FAIL_OVER_STRATEGY_DEF__CONNECTOR_DEF

  The meta object literal for the 'Connector Def' reference feature.

### RETRY_FAIL_OVER_STRATEGY_DEF

    static final org.eclipse.emf.ecore.EClass RETRY_FAIL_OVER_STRATEGY_DEF

  The meta object literal for the '`Retry Fail Over Strategy Def`' class.

  See Also:
    `RetryFailOverStrategyDefImpl`, `CDODefsPackageImpl.getRetryFailOverStrategyDef()`

### RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES

    static final org.eclipse.emf.ecore.EAttribute RETRY_FAIL_OVER_STRATEGY_DEF__RETRIES

  The meta object literal for the 'Retries' attribute feature.

### CDO_PACKAGE_REGISTRY_DEF

    static final org.eclipse.emf.ecore.EClass CDO_PACKAGE_REGISTRY_DEF

  The meta object literal for the '`CDO Package Registry Def`' class.

  See Also:
    `CDOPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOPackageRegistryDef()`

### CDO_PACKAGE_REGISTRY_DEF__PACKAGES

    static final org.eclipse.emf.ecore.EReference CDO_PACKAGE_REGISTRY_DEF__PACKAGES

  The meta object literal for the 'Packages' containment reference list feature.

### CDO_EAGER_PACKAGE_REGISTRY_DEF

    static final org.eclipse.emf.ecore.EClass CDO_EAGER_PACKAGE_REGISTRY_DEF

  The meta object literal for the '`CDO Eager Package Registry Def`' class.

  See Also:
    `CDOEagerPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOEagerPackageRegistryDef()`

### CDO_LAZY_PACKAGE_REGISTRY_DEF

    static final org.eclipse.emf.ecore.EClass CDO_LAZY_PACKAGE_REGISTRY_DEF

  The meta object literal for the '`CDO Lazy Package Registry Def`' class.

  See Also:
    `CDOLazyPackageRegistryDefImpl`, `CDODefsPackageImpl.getCDOLazyPackageRegistryDef()`

### EPACKAGE_DEF

    static final org.eclipse.emf.ecore.EClass EPACKAGE_DEF

  The meta object literal for the '`EPackage Def`' class.

  See Also:
    `EPackageDefImpl`, `CDODefsPackageImpl.getEPackageDef()`

### EPACKAGE_DEF__NS_URI

    static final org.eclipse.emf.ecore.EAttribute EPACKAGE_DEF__NS_URI

  The meta object literal for the 'Ns URI' attribute feature.

### EDYNAMIC_PACKAGE_DEF

    static final org.eclipse.emf.ecore.EClass EDYNAMIC_PACKAGE_DEF

  The meta object literal for the '`EDynamic Package Def`' class.

  See Also:
    `EDynamicPackageDefImpl`, `CDODefsPackageImpl.getEDynamicPackageDef()`

### EDYNAMIC_PACKAGE_DEF__RESOURCE_URI

    static final org.eclipse.emf.ecore.EAttribute EDYNAMIC_PACKAGE_DEF__RESOURCE_URI

  The meta object literal for the 'Resource URI' attribute feature.

### EGLOBAL_PACKAGE_DEF

    static final org.eclipse.emf.ecore.EClass EGLOBAL_PACKAGE_DEF

  The meta object literal for the '`EGlobal Package Def`' class.

  See Also:
    `EGlobalPackageDefImpl`, `CDODefsPackageImpl.getEGlobalPackageDef()`

### CDO_CLIENT_PROTOCOL_FACTORY_DEF

    static final org.eclipse.emf.ecore.EClass CDO_CLIENT_PROTOCOL_FACTORY_DEF

  The meta object literal for the '`CDO Client Protocol Factory Def`' class.

  See Also:
    `CDOClientProtocolFactoryDefImpl`, `CDODefsPackageImpl.getCDOClientProtocolFactoryDef()`

### CDO_RESOURCE_DEF

    static final org.eclipse.emf.ecore.EClass CDO_RESOURCE_DEF

  The meta object literal for the '`CDO Resource Def`' class.

  See Also:
    `CDOResourceDefImpl`, `CDODefsPackageImpl.getCDOResourceDef()`

### CDO_RESOURCE_DEF__CDO_TRANSACTION

    static final org.eclipse.emf.ecore.EReference CDO_RESOURCE_DEF__CDO_TRANSACTION

  The meta object literal for the 'Cdo Transaction' reference feature.

### CDO_RESOURCE_DEF__RESOURCE_MODE

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE_DEF__RESOURCE_MODE

  The meta object literal for the 'Resource Mode' attribute feature.

### CDO_RESOURCE_DEF__PATH

    static final org.eclipse.emf.ecore.EAttribute CDO_RESOURCE_DEF__PATH

  The meta object literal for the 'Path' attribute feature.

### RESOURCE_MODE

    static final org.eclipse.emf.ecore.EEnum RESOURCE_MODE

  The meta object literal for the '`Resource Mode`' enum.

  See Also:
    `ResourceMode`, `CDODefsPackageImpl.getResourceMode()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.